
From: Adrian Bunk <bunk@fs.tum.de>

drivers/char/riscom8.c:1178: macro `min_t' used with only 2 args

Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/riscom8.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/riscom8.c~riscom8-build-fix drivers/char/riscom8.c
--- 25/drivers/char/riscom8.c~riscom8-build-fix	2004-09-05 14:37:40.851698992 -0700
+++ 25-akpm/drivers/char/riscom8.c	2004-09-05 14:37:40.861697472 -0700
@@ -1174,7 +1174,7 @@ static int rc_write(struct tty_struct * 
 			}
 
 			cli();
-			c = min_t(c, min(SERIAL_XMIT_SIZE - port->xmit_cnt - 1,
+			c = min_t(int, c, min(SERIAL_XMIT_SIZE - port->xmit_cnt - 1,
 					 SERIAL_XMIT_SIZE - port->xmit_head));
 			memcpy(port->xmit_buf + port->xmit_head, tmp_buf, c);
 			port->xmit_head = (port->xmit_head + c) & (SERIAL_XMIT_SIZE-1);
_
